DedeCMS Error: (PHP 5.3 and above) Please set 报错解决方法

这一般出现在新主机,老版本的dedecms上,看提示就知道,需要改服务器的php.ini配置文件,但是一般大家用的都是虚拟主机,没有权限修改,所以我们还是改dedecms文件吧,把这个报错执行代码注释掉,找到include/common.inc.php文件把


  1. [php] view plain copy
  2. /*
  3. if(version_compare(PHP_VERSION, ‘5.3.0’, ‘>’))
  4. {
  5.     if(strtoupper(ini_get(‘request_order’)) == ‘GP’)  
  6.     exit(‘DedeCMS Error: (PHP 5.3 and above) Please set \’request_order\’ ini value to include C,G and P (recommended: \’CGP\’) in php.ini,<a href="http://help.dedecms.com/install-use/apply/2013/0715/2325.html" target="_blank">more…</a>’);
  7. }
  8. */  

复制代码

注释掉就行了

温馨提示:本文最后更新于2022-09-12 12:07:02,某些文章具有时效性,若有错误或已失效,请在下方留言或联系丁塔克博客
© 版权声明
THE END
喜欢就支持一下吧
点赞14 分享
评论 抢沙发

请登录后发表评论